Skip to main content
POST
Attach a FileTree mount to a Session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31
idempotency-key
string
Maximum string length: 255

Path Parameters

id
string
required
Pattern: ^sess_[0-9a-f]{32}$

Body

application/json
kind
enum<string>
required
Available options:
file_tree
file_tree_id
string
required
Pattern: ^ftree_[0-9a-f]{32}$
mount_path
string
required
Required string length: 2 - 1024
version_policy
object
required
access
enum<string>
required
Available options:
read_only,
read_write
writeback
null

Response

Success

id
string
required
Pattern: ^evt_[0-9a-f]{32}$
seq
integer
required
schema_version
enum<number>
required
Available options:
52
created_at
string
required
type
enum<string>
required
Available options:
user.message
payload
object
required
attested
enum<boolean>
Available options:
true